Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#40536 - [syslinux] Please make perl an optdepends

Attached to Project: Arch Linux
Opened by Dennis (dennis123123) - Saturday, 24 May 2014, 19:07 GMT
Last edited by Tobias Powalowski (tpowa) - Wednesday, 18 June 2014, 13:48 GMT
Task Type Feature Request
Category Packages: Testing
Status Closed
Assigned To Tobias Powalowski (tpowa)
Thomas B├Ąchler (brain0)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:

The two perl modules and mtools (required for one of the other perl scripts) are all in as optdepends. As the main functionality doesn't need perl, and without those 3 optional parts, it doesn't really need perl at all.


Steps to reproduce:

$ pkgfile md5pass
core/syslinux
$ md5pass
Can't locate Crypt/PasswdMD5.pm in @INC (you may need to install the Crypt::PasswdMD5 module) (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/bin/md5pass line 4.
BEGIN failed--compilation aborted at /usr/bin/md5pass line 4.
$ pkgfile PasswdMD5.pm
extra/perl-crypt-passwdmd5
$
This task depends upon

Closed by  Tobias Powalowski (tpowa)
Wednesday, 18 June 2014, 13:48 GMT
Reason for closing:  Fixed
Additional comments about closing:  in trunk

Loading...